Part Point/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Vedere anche: Editor delle proprietà.")
(Created page with "Esempio:")
 
(8 intermediate revisions by the same user not shown)
Line 33: Line 33:
Vedere anche: [[Property_editor/it|Editor delle proprietà]].
Vedere anche: [[Property_editor/it|Editor delle proprietà]].


A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
Un oggetto Part Punto deriva da un oggetto [[Part_Feature|Part Feature]] e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:


<span id="Data"></span>
=== Data ===
=== Dati ===


{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
L'oggetto ha le stesse proprietà di collegamento di un [[Part_Part2DObject/it#Dati|Part Part2DObject]].


{{TitleProperty|Base}}
{{TitleProperty|Base}}


* {{PropertyData|X|Distance}}: The X coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|X|Distance}}: la coordinata X del punto. Il valore predefinito è {{Value|0mm}}.
* {{PropertyData|Y|Distance}}: The Y coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Y|Distance}}: la coordinata Y del punto. Il valore predefinito è {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: The Z coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: la coordinata Z del punto. Il valore predefinito è {{Value|0mm}}.


== Scripting ==
<span id="Scripting"></span>
== Script ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
Vedere anche: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting/it|Script di Part]] e [[FreeCAD_Scripting_Basics/it|Script di base per FreeCAD]].


A Part Point can be created with the {{Incode|addObject()}} method of the document:
È possibile creare una Part Punto con il metodo {{Incode|addObject()}} del documento:


{{Code|code=
{{Code|code=
Line 57: Line 59:
}}
}}


* Where {{Incode|"myPoint"}} is the name for the object.
* Dove {{Incode|"myPoint"}} è il nome dell'oggetto.
* La funzione restituisce l'oggetto appena creato.
* The function returns the newly created object.


Esempio:
Example:


{{Code|code=
{{Code|code=

Latest revision as of 19:47, 6 January 2024

Part Punto

Posizione nel menu
Parte → Crea primitive → Punto
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Un Part Punto è un punto parametrico che può essere creato con il comando Part Primitive. Le sue coordinate sono relative al sistema di coordinate definito dalla sua proprietà DatiPlacement.

Utilizzo

Vedere Part Primitive.

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Part Punto deriva da un oggetto Part Feature e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:

Dati

Attachment

L'oggetto ha le stesse proprietà di collegamento di un Part Part2DObject.

Base

  • DatiX (Distance): la coordinata X del punto. Il valore predefinito è 0mm.
  • DatiY (Distance): la coordinata Y del punto. Il valore predefinito è 0mm.
  • DatiZ (Distance): la coordinata Z del punto. Il valore predefinito è 0mm.

Script

Vedere anche: Autogenerated API documentation, Script di Part e Script di base per FreeCAD.

È possibile creare una Part Punto con il metodo addObject() del documento:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Dove "myPoint" è il nome dell'oggetto.
  • La funzione restituisce l'oggetto appena creato.

Esempio:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()